# Class VertexAiSearchTool.Builder

java.lang.Object
com.google.adk.tools.VertexAiSearchTool.Builder

Enclosing class:
  `VertexAiSearchTool`

public abstract static class VertexAiSearchTool.Builder extends Object
Builder for `VertexAiSearchTool`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VertexAiSearchTool`
  `build()`
  `abstract VertexAiSearchTool.Builder`
  `dataStore(String dataStore)`
  `abstract VertexAiSearchTool.Builder`
  `dataStoreId(String dataStoreId)`
  `abstract VertexAiSearchTool.Builder`
  `dataStoreSpecs(List<com.google.genai.types.VertexAISearchDataStoreSpec> dataStoreSpecs)`
  `abstract VertexAiSearchTool.Builder`
  `filter(String filter)`
  `abstract VertexAiSearchTool.Builder`
  `location(String location)`
  `abstract VertexAiSearchTool.Builder`
  `maxResults(Integer maxResults)`
  `abstract VertexAiSearchTool.Builder`
  `project(String project)`
  `abstract VertexAiSearchTool.Builder`
  `searchEngineId(String searchEngineId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### dataStoreId

    public abstract VertexAiSearchTool.Builder dataStoreId(String dataStoreId)

  - ### dataStoreSpecs

    public abstract VertexAiSearchTool.Builder dataStoreSpecs(List<com.google.genai.types.VertexAISearchDataStoreSpec> dataStoreSpecs)

  - ### searchEngineId

    public abstract VertexAiSearchTool.Builder searchEngineId(String searchEngineId)

  - ### filter

    public abstract VertexAiSearchTool.Builder filter(String filter)

  - ### maxResults

    public abstract VertexAiSearchTool.Builder maxResults(Integer maxResults)

  - ### project

    public abstract VertexAiSearchTool.Builder project(String project)

  - ### location

    public abstract VertexAiSearchTool.Builder location(String location)

  - ### dataStore

    public abstract VertexAiSearchTool.Builder dataStore(String dataStore)

  - ### build

    public final VertexAiSearchTool build()